Support EOL for MySQL Connector/J 5.1

Per Oracle’s Lifetime Support policy, as of Feb 9th, 2021, MySQL Connector/J 5.1 series is covered under Oracle Sustaining Support. Downloadable binaries can be found in the MySQL Products Archives and in the Maven Central Repository.

MySQL Connector/J 5.1.49 has been the last release of Connector/J 5.1 series.

It is time to move on. Users are encouraged to upgrade to MySQL Connector/J 8.0 series which provides the same features as Connector/J 5.1 and a lot more, including a brand new date/time handling support, introduced in version 8.0.23, and the X DevAPI that empowers the MySQL Document Store.

We like to hear from you. Please join us in the MySQL Forums or in #connectors channel in:

New MySQL Entity Framework Core packages for the Connector/NET Provider at NuGet

Hello MySQL Connector/NET community,

Starting with the 8.0.23 release, our provider for Entity Framework Core has a new name. The main goal is to keep support for the different versions of Microsoft Entity Framework Core and to ensure those versions remain tighly coupled with our releases. Also, this new naming is more specific regarding the purpose of the package. Hence the Data part of the name was removed.

Before:

    MySql.Data.EntityFrameworkCore v8.0.x

Now:

    MySql.EntityFrameworkCore v8.0.x

Now that Microsoft maintains more than a single version of Entity Framework Core, we needed to find a way to name our packages and maintain the correlation between the versions of Entity Framework Core and MySQL. So that’s when we came up with using the metadata of the packages. The package version now consists of two parts, the first corresponds to the currently supported version of Microsoft Entity Framework Core and then a “plus” sign that indicates the metadata where we include the MySQL version.

    MySql.EntityFrameworkCore v5.0.0+MySQL8.0.23
    MySql.EntityFrameworkCore v3.1.10+MySQL8.0.23

Well, there is one more future scenario to consider. What if Microsoft does not release a new version for Entity Framework Core in time for our newer Connector/NET version? Let’s say that the currently supported version for Entity Framework Core is 5.0.0 so our package looks like MySql.EntityFrameworkCore 5.0.0+MySQL8.0.23, and at the time we release the next version, 8.0.24, Microsoft latest version for Entity Framework Core is still the 5.0.0. In this case, we will add a fourth digit to the version, naming the package like this: MySql.EntityFrameworkCore 5.0.0.1+MySQL8.0.23.

We hope you find this new naming model useful and more precise. Your feedback is always welcome and all your comments inspire us to keep improving so that we offer you a product with top quality.

Finally, here are some links that could be useful for you:

We hope to hear from you!